VERSION 5.00
Begin VB.Form DDE_Monitor 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "TimeWatcher Monitor"
   ClientHeight    =   3570
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   8190
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3570
   ScaleWidth      =   8190
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Button_Connect 
      Caption         =   "Connect to TimeWatcher"
      Height          =   390
      Left            =   90
      TabIndex        =   1
      Top             =   3075
      Width           =   3495
   End
   Begin VB.ListBox List_Actions 
      Height          =   2010
      Left            =   75
      TabIndex        =   0
      Top             =   915
      Width           =   8025
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Text 2 Argument"
      Height          =   390
      Index           =   6
      Left            =   7050
      TabIndex        =   17
      Top             =   15
      Width           =   825
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Text 1 Argument"
      Height          =   390
      Index           =   5
      Left            =   5580
      TabIndex        =   16
      Top             =   15
      Width           =   825
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Double Argument"
      Height          =   390
      Index           =   4
      Left            =   4245
      TabIndex        =   15
      Top             =   15
      Width           =   825
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Long Argument"
      Height          =   390
      Index           =   3
      Left            =   3135
      TabIndex        =   14
      Top             =   15
      Width           =   825
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Employee"
      Height          =   240
      Index           =   2
      Left            =   2085
      TabIndex        =   13
      Top             =   165
      Width           =   825
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Action Number"
      Height          =   390
      Index           =   1
      Left            =   1155
      TabIndex        =   12
      Top             =   15
      Width           =   825
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Msg Number"
      Height          =   390
      Index           =   0
      Left            =   150
      TabIndex        =   11
      Top             =   15
      Width           =   825
   End
   Begin VB.Label Label_Linked 
      BorderStyle     =   1  'Fixed Single
      Height          =   300
      Index           =   6
      Left            =   6900
      TabIndex        =   10
      Top             =   510
      Width           =   1140
   End
   Begin VB.Label Label_Linked 
      BorderStyle     =   1  'Fixed Single
      Height          =   300
      Index           =   5
      Left            =   5410
      TabIndex        =   9
      Top             =   510
      Width           =   1155
   End
   Begin VB.Label Label_Linked 
      BorderStyle     =   1  'Fixed Single
      Height          =   300
      Index           =   4
      Left            =   4223
      TabIndex        =   8
      Top             =   510
      Width           =   855
   End
   Begin VB.Label Label_Linked 
      BorderStyle     =   1  'Fixed Single
      Height          =   300
      Index           =   3
      Left            =   3216
      TabIndex        =   7
      Top             =   510
      Width           =   675
   End
   Begin VB.Label Label_Linked 
      BorderStyle     =   1  'Fixed Single
      Height          =   300
      Index           =   2
      Left            =   2119
      TabIndex        =   6
      Top             =   510
      Width           =   765
   End
   Begin VB.Label Label_Linked 
      BorderStyle     =   1  'Fixed Single
      Height          =   300
      Index           =   1
      Left            =   1292
      TabIndex        =   5
      Top             =   510
      Width           =   495
   End
   Begin VB.Label Label_Linked 
      BorderStyle     =   1  'Fixed Single
      Height          =   300
      Index           =   0
      Left            =   90
      TabIndex        =   4
      Top             =   510
      Width           =   870
   End
   Begin VB.Label Label_Status 
      BackColor       =   &H00C0FFC0&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   4455
      TabIndex        =   3
      Top             =   3135
      Width           =   3615
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Status:"
      Height          =   225
      Left            =   3675
      TabIndex        =   2
      Top             =   3165
      Width           =   660
   End
End
Attribute VB_Name = "DDE_Monitor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'  Demonstration Program to explain the
'  TimeWatcher DDE Interface
' --------------------------------------------------------------------
'  You are free to use this code within your own applications, but you
'  are expressly forbidden from selling or otherwise distributing this
'  source code without prior written consent.
' --------------------------------------------------------------------
'  Visit: www.timewatcher.de
' --------------------------------------------------------------------


Option Explicit

Private Const MAX_LIST_ENTRIES = 100

Private Sub Button_Connect_Click()
' Connection buttion was clicked
If dde_connection.connect_to_dde_server < 0 Then
 'could not connect to the TimeWatcher dde_controls
 MsgBox "Error! Connection to TimeWatcher was not possible! Make sure TimeWatcher is running."
 Label_Status.Caption = "Not connected to TimeWatcher"
 Label_Status.BackColor = &H8080FF
Else
 'connection sucessful
 Label_Status.Caption = "Connected to TimeWatcher"
Label_Status.BackColor = &H80FF80
End If
End Sub

Private Sub Form_Load()
Label_Status.Caption = "Not connected to TimeWatcher"
Label_Status.BackColor = &H8080FF
End Sub


Private Sub Form_Unload(Cancel As Integer)
Call dde_connection.disconnect_from_dde_server
End Sub


Public Sub update_action_list(update_text As String)
'Add an entry to the actions list
Call List_Actions.AddItem(update_text, 0)
If List_Actions.ListCount > MAX_LIST_ENTRIES Then
' List has reached the maximal entry limit so one entry has to be removed
 Call List_Actions.RemoveItem(MAX_LIST_ENTRIES)
End If
End Sub

Private Sub Label_Linked_Change(Index As Integer)
If Index = 0 Then
' The Control, which is linked to the dde_counter filed was changed
' Now the entries of the other controls, which are linked to TimeWatcher
' can be analysed.
' Always a change of the dde_counter control should be used to trigger
' the event in the add-on application
 Call dde_connection.record_action(CInt(Label_Linked(1).Caption), Label_Linked(2).Caption, CLng(Label_Linked(3).Caption), CDbl(Label_Linked(4).Caption), Label_Linked(5).Caption, Label_Linked(6).Caption)
End If
End Sub


